%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           cvs2svn
Version:        2.3.0
Release:        0.1.r4998svn%{?dist}
Summary:        CVS to Subversion Repository Converter

Group:          Development/Tools
License:        BSD
URL:            http://cvs2svn.tigris.org/
# The sources tarball has been generated from upstream SVN repository:
# svn co --username=guest http://cvs2svn.tigris.org/svn/cvs2svn/trunk cvs2svn-trunk
# (use blank password)
Source0:        cvs2svn-trunk.tar.xz
# Man page not in repository (but present in 2.2.0 tarball):
Source1:        cvs2svn.1
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       subversion
Requires:       cvs2commons

%description
cvs2svn is a Python script that converts a CVS repository to a 
Subversion repository. It is designed for one-time conversions, not for 
repeated synchronizations between CVS and Subversion.

%package -n cvs2commons
Summary:        Common files for CVS to Subversion and Git Repository Converter
Requires:       cvs, rcs

%description -n cvs2commons
This package contains files common for cvs2svn and cvs2git (Python scripts that
convert a CVS repository to a Subversion and Git repository).

%package -n cvs2git
Summary:        CVS to Git Repository Converter
# earlier versions of git contain a bug in "git fast-import" which makes this package unusable:
Requires:       git >= 1.5.4.4
Requires:       cvs2commons


%description -n cvs2git
cvs2git is a Python script that converts a CVS repository to a 
Git repository. It is designed for one-time conversions, not for 
repeated synchronizations between CVS and Git.

#
# FOR FUTURE WORK WHEN BZR-FASTIMPORT WILL BE PACKAGED
#
#%package -n cvs2bzr
#Requires:      bzr >= 1.13
#Requires:      bzr-fastimport
#Requires:      cvs2commons
#%description -n cvs2bzr
#cvs2bzr is a Python script that converts a CVS repository to a 
#Bzr repository. It is designed for one-time conversions, not for 
#repeated synchronizations between CVS and Bzr.

#
# EXPERIMENTAL, NOT INSTALLED BY DEFAULT => WE DO NOT SHIP IT BY NOW
#
#%package -n cvs2hg
#Summary:        CVS to Subversion, Git, Bzr or Mercurial Repository Converter
#Requires:      mercurial
#Requires:      cvs2commons
#
#%description -n cvs2hg
#cvs2bzr is a Python script that converts a CVS repository to a 
#Mercurial repository. It is designed for one-time conversions, not for 
#repeated synchronizations between CVS and Mercurial.

%prep
%setup -q -n %{name}-trunk


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/
rm -f $RPM_BUILD_ROOT%{_bindir}/cvs2bzr
chmod a+x $RPM_BUILD_ROOT%{python_sitelib}/%{name}_rcsparse/{run-tests.py,parse_rcs_file.py}
chmod a+x $RPM_BUILD_ROOT%{python_sitelib}/%{name}_lib/{main.py,version.py}

%clean
rm -rf $RPM_BUILD_ROOT


%files -n cvs2commons
%defattr(-,root,root,-)
%doc BUGS CHANGES COMMITTERS COPYING HACKING README
%{python_sitelib}/*

%files
%defattr(-,root,root,-)
%doc cvs2svn-example.options www/cvs2svn.html
%{_mandir}/man?/*
%{_bindir}/cvs2svn

%files -n cvs2git
%defattr(-,root,root,-)
%doc cvs2git-example.options www/cvs2git.html
%{_bindir}/cvs2git

#%files -n cvs2bzr
#%doc cvs2bzr-example.options www/cvs2bzr.html
#%{_bindir}/cvs2hg

#%files -n cvs2hg
#%doc cvs2hg-example.options
#%{_bindir}/cvs2hg

%changelog
* Mon Dec 14 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.3.0-0.1.r4998svn
- Ship also cvs2git from a 2.3.0 prerelease, split common files into a cvs2commons subpackage

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.2.0-1
- Upstream 2.2.0

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.1.1-2
- Rebuild for Python 2.6

* Sat May 10 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.1-1
- Upstream 2.1.1

* Sun Nov 18 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.0.1-1
- Upstream 2.0.1

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.0.0-2
- Rebuild to fix tags.

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.0.0-1
- New major upstream version 2.0.0

* Thu Jun 28 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.1-2
- Include cvs2svn-example.options in docs (#241533)

* Sun Mar 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.1-1
- Upstream 1.5.1

* Sat Oct 28 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.0-1
- Upstream 1.5.0

* Wed Sep 06 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-2
- Ghostbusting

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-1
- 1.4.0 final release

* Wed Jul 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-0.4.rc1
- Require cvs and subversion
- Add python-abi for easy builds on systems <FC4

* Wed Jul 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-0.3.rc1
- Requires rcs.

* Wed Jul 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-0.2.rc1
- Group is Development/Tools

* Wed Jul 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-0.1.rc1
- Initial packaging.
